Index: trunk/BNC/qwt/qwt_slider.h
===================================================================
--- trunk/BNC/qwt/qwt_slider.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_slider.h	(revision 9383)
@@ -84,5 +84,5 @@
     QSize handleSize() const;
 
-    void setBorderWidth( int bw );
+    void setBorderWidth( int );
     int borderWidth() const;
 
Index: trunk/BNC/qwt/qwt_symbol.cpp
===================================================================
--- trunk/BNC/qwt/qwt_symbol.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_symbol.cpp	(revision 9383)
@@ -32,5 +32,5 @@
 }
 
-static QwtGraphic qwtPathGraphic( const QPainterPath &path, 
+static QwtGraphic qwtPathGraphic( const QPainterPath &path,
     const QPen &pen, const QBrush& brush )
 {
@@ -47,5 +47,5 @@
 }
 
-static inline QRectF qwtScaledBoundingRect( 
+static inline QRectF qwtScaledBoundingRect(
     const QwtGraphic &graphic, const QSizeF size )
 {
@@ -53,5 +53,5 @@
     if ( scaledSize.isEmpty() )
         scaledSize = graphic.defaultSize();
-        
+
     const QSizeF sz = graphic.controlPointRect().size();
 
@@ -59,5 +59,5 @@
     if ( sz.width() > 0.0 )
         sx = scaledSize.width() / sz.width();
-    
+
     double sy = 1.0;
     if ( sz.height() > 0.0 )
@@ -84,5 +84,5 @@
     if ( pm.size() != size )
         pm = pm.scaled( size );
-    
+
     QPointF pinPoint( 0.5 * size.width(), 0.5 * size.height() );
     if ( symbol.isPinPointEnabled() )
@@ -95,5 +95,5 @@
         const QPointF pos = transform.map( points[i] ) - pinPoint;
 
-        QwtPainter::drawPixmap( painter, 
+        QwtPainter::drawPixmap( painter,
             QRect( pos.toPoint(), pm.size() ), pm );
     }
@@ -102,6 +102,6 @@
 #ifndef QWT_NO_SVG
 
-static inline void qwtDrawSvgSymbols( QPainter *painter, 
-    const QPointF *points, int numPoints, 
+static inline void qwtDrawSvgSymbols( QPainter *painter,
+    const QPointF *points, int numPoints,
     QSvgRenderer *renderer, const QwtSymbol &symbol )
 {
@@ -132,5 +132,5 @@
         const double y = points[i].y() - dy;
 
-        renderer->render( painter, 
+        renderer->render( painter,
             QRectF( x, y, sz.width(), sz.height() ) );
     }
@@ -139,5 +139,5 @@
 #endif
 
-static inline void qwtDrawGraphicSymbols( QPainter *painter, 
+static inline void qwtDrawGraphicSymbols( QPainter *painter,
     const QPointF *points, int numPoints, const QwtGraphic &graphic,
     const QwtSymbol &symbol )
@@ -876,5 +876,5 @@
 */
 
-QwtSymbol::QwtSymbol( const QPainterPath &path, 
+QwtSymbol::QwtSymbol( const QPainterPath &path,
     const QBrush &brush, const QPen &pen )
 {
@@ -919,5 +919,5 @@
   \brief Set a painter path as symbol
 
-  The symbol is represented by a painter path, where the 
+  The symbol is represented by a painter path, where the
   origin ( 0, 0 ) of the path coordinate system is mapped to
   the position of the symbol.
@@ -927,34 +927,36 @@
   the bounding rectangle of the path.
 
-  The following code defines a symbol drawing an arrow:
-
-  \verbatim
-#include <qwt_symbol.h>
-
-QwtSymbol *symbol = new QwtSymbol();
-
-QPen pen( Qt::black, 2 );
-pen.setJoinStyle( Qt::MiterJoin );
-
-symbol->setPen( pen );
-symbol->setBrush( Qt::red );
-
-QPainterPath path;
-path.moveTo( 0, 8 );
-path.lineTo( 0, 5 );
-path.lineTo( -3, 5 );
-path.lineTo( 0, 0 );
-path.lineTo( 3, 5 );
-path.lineTo( 0, 5 );
-
-QTransform transform;
-transform.rotate( -30.0 );
-path = transform.map( path );
-
-symbol->setPath( path );
-symbol->setPinPoint( QPointF( 0.0, 0.0 ) );
-
-setSize( 10, 14 );
-\endverbatim
+  \par Example
+    The following code defines a symbol drawing an arrow:
+
+    \code
+      #include <qwt_symbol.h>
+
+      QwtSymbol *symbol = new QwtSymbol();
+
+      QPen pen( Qt::black, 2 );
+      pen.setJoinStyle( Qt::MiterJoin );
+
+      symbol->setPen( pen );
+      symbol->setBrush( Qt::red );
+
+      QPainterPath path;
+      path.moveTo( 0, 8 );
+      path.lineTo( 0, 5 );
+      path.lineTo( -3, 5 );
+      path.lineTo( 0, 0 );
+      path.lineTo( 3, 5 );
+      path.lineTo( 0, 5 );
+
+      QTransform transform;
+      transform.rotate( -30.0 );
+      path = transform.map( path );
+
+      symbol->setPath( path );
+      symbol->setPinPoint( QPointF( 0.0, 0.0 ) );
+
+      setSize( 10, 14 );
+    \endcode
+  \endpar
 
   \param path Painter path
@@ -1237,8 +1239,8 @@
   The position of a complex symbol is not always aligned to its center
   ( f.e an arrow, where the peak points to a position ). The pin point
-  defines the position inside of a Pixmap, Graphic, SvgDocument 
+  defines the position inside of a Pixmap, Graphic, SvgDocument
   or PainterPath symbol where the represented point has to
   be aligned to.
-  
+
   \param pos Position
   \param enable En/Disable the pin point alignment
@@ -1341,10 +1343,10 @@
                     {
                         if ( !d_data->size.isEmpty() &&
-                            d_data->size != d_data->pixmap.pixmap.size() ) 
+                            d_data->size != d_data->pixmap.pixmap.size() )
                         {
                             useCache = true;
                         }
                         break;
-                    }                       
+                    }
                     default:
                         useCache = true;
@@ -1358,6 +1360,4 @@
         const QRect br = boundingRect();
 
-        const QRect rect( 0, 0, br.width(), br.height() );
-        
         if ( d_data->cache.pixmap.isNull() )
         {
@@ -1402,5 +1402,5 @@
 
   \param painter Painter
-  \param rect Target rectangle for the symbol 
+  \param rect Target rectangle for the symbol
 */
 void QwtSymbol::drawSymbol( QPainter *painter, const QRectF &rect ) const
@@ -1411,5 +1411,5 @@
     if ( d_data->style == QwtSymbol::Graphic )
     {
-        d_data->graphic.graphic.render( 
+        d_data->graphic.graphic.render(
             painter, rect, Qt::KeepAspectRatio );
     }
@@ -1418,9 +1418,9 @@
         if ( d_data->path.graphic.isNull() )
         {
-            d_data->path.graphic = qwtPathGraphic( 
+            d_data->path.graphic = qwtPathGraphic(
                 d_data->path.path, d_data->pen, d_data->brush );
         }
 
-        d_data->path.graphic.render( 
+        d_data->path.graphic.render(
             painter, rect, Qt::KeepAspectRatio );
         return;
@@ -1445,5 +1445,5 @@
             }
 
-            d_data->svg.renderer->render( 
+            d_data->svg.renderer->render(
                 painter, scaledRect );
         }
@@ -1456,5 +1456,5 @@
         // scale the symbol size to fit into rect.
 
-        const double ratio = qMin( rect.width() / br.width(), 
+        const double ratio = qMin( rect.width() / br.width(),
             rect.height() / br.height() );
 
@@ -1469,5 +1469,5 @@
         const QPointF pos;
         renderSymbols( painter, &pos, 1 );
-    
+
         d_data->isPinPointEnabled = isPinPointEnabled;
 
@@ -1570,9 +1570,9 @@
             if ( d_data->path.graphic.isNull() )
             {
-                d_data->path.graphic = qwtPathGraphic( d_data->path.path, 
+                d_data->path.graphic = qwtPathGraphic( d_data->path.path,
                     d_data->pen, d_data->brush );
             }
 
-            qwtDrawGraphicSymbols( painter, points, numPoints, 
+            qwtDrawGraphicSymbols( painter, points, numPoints,
                 d_data->path.graphic, *this );
             break;
@@ -1585,5 +1585,5 @@
         case QwtSymbol::Graphic:
         {
-            qwtDrawGraphicSymbols( painter, points, numPoints, 
+            qwtDrawGraphicSymbols( painter, points, numPoints,
                 d_data->graphic.graphic, *this );
             break;
@@ -1592,5 +1592,5 @@
         {
 #ifndef QWT_NO_SVG
-            qwtDrawSvgSymbols( painter, points, numPoints, 
+            qwtDrawSvgSymbols( painter, points, numPoints,
                 d_data->svg.renderer, *this );
 #endif
@@ -1654,5 +1654,5 @@
             }
 
-            rect = qwtScaledBoundingRect( 
+            rect = qwtScaledBoundingRect(
                 d_data->path.graphic, d_data->size );
             pinPointTranslation = true;
@@ -1666,5 +1666,5 @@
             else
                 rect.setSize( d_data->size );
-            
+
             pinPointTranslation = true;
 
@@ -1673,5 +1673,5 @@
         case QwtSymbol::Graphic:
         {
-            rect = qwtScaledBoundingRect( 
+            rect = qwtScaledBoundingRect(
                 d_data->graphic.graphic, d_data->size );
             pinPointTranslation = true;
Index: trunk/BNC/qwt/qwt_symbol.h
===================================================================
--- trunk/BNC/qwt/qwt_symbol.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_symbol.h	(revision 9383)
@@ -86,5 +86,5 @@
 
         /*!
-          The symbol is represented by a painter path, where the 
+          The symbol is represented by a painter path, where the
           origin ( 0, 0 ) of the path coordinate system is mapped to
           the position of the symbol.
@@ -132,5 +132,5 @@
 
       F.e. the raster paint engine is a pure software renderer
-      where in cache mode a draw operation usually ends in 
+      where in cache mode a draw operation usually ends in
       raster operation with the the backing store, that are usually
       faster, than the algorithms for rendering polygons.
@@ -142,5 +142,5 @@
       \sa setCachePolicy(), cachePolicy()
 
-      \note The policy has no effect, when the symbol is painted 
+      \note The policy has no effect, when the symbol is painted
             to a vector graphics format ( PDF, SVG ).
       \warning Since Qt 4.8 raster is the default backend on X11
@@ -155,8 +155,8 @@
         Cache,
 
-        /*! 
+        /*!
            Use a cache when one of the following conditions is true:
 
-           - The symbol is rendered with the software 
+           - The symbol is rendered with the software
              renderer ( QPaintEngine::Raster )
          */
@@ -176,5 +176,5 @@
     void setSize( const QSize & );
     void setSize( int width, int height = -1 );
-    const QSize& size() const;
+    const QSize &size() const;
 
     void setPinPoint( const QPointF &pos, bool enable = true );
@@ -186,10 +186,10 @@
     virtual void setColor( const QColor & );
 
-    void setBrush( const QBrush& b );
-    const QBrush& brush() const;
+    void setBrush( const QBrush & );
+    const QBrush &brush() const;
 
     void setPen( const QColor &, qreal width = 0.0, Qt::PenStyle = Qt::SolidLine );
     void setPen( const QPen & );
-    const QPen& pen() const;
+    const QPen &pen() const;
 
     void setStyle( Style );
Index: trunk/BNC/qwt/qwt_system_clock.h
===================================================================
--- trunk/BNC/qwt/qwt_system_clock.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_system_clock.h	(revision 9383)
@@ -23,6 +23,9 @@
   Precision and time intervals are multiples of milliseconds (ms).
 
+  ( QwtSystemClock is obsolete since Qt 4.8 as QElapsedTimer offers the same
+    precision )
+
   \note The implementation uses high-resolution performance counter on Windows,
-        mach_absolute_time() on the Mac or POSIX timers on other systems. 
+        mach_absolute_time() on the Mac or POSIX timers on other systems.
         If none is available it falls back on QTimer.
 */
Index: trunk/BNC/qwt/qwt_text.cpp
===================================================================
--- trunk/BNC/qwt/qwt_text.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_text.cpp	(revision 9383)
@@ -62,6 +62,6 @@
 QwtTextEngineDict::~QwtTextEngineDict()
 {
-    for ( EngineMap::const_iterator it = d_map.begin();
-        it != d_map.end(); ++it )
+    for ( EngineMap::const_iterator it = d_map.constBegin();
+        it != d_map.constEnd(); ++it )
     {
         const QwtTextEngine *textEngine = engine( it );
@@ -108,11 +108,8 @@
         return;
 
-    EngineMap::const_iterator it = d_map.find( format );
-    if ( it != d_map.end() )
-    {
-        const QwtTextEngine *e = this->engine( it );
-        if ( e )
-            delete e;
-
+    EngineMap::const_iterator it = d_map.constFind( format );
+    if ( it != d_map.constEnd() )
+    {
+        delete this->engine( it );
         d_map.remove( format );
     }
Index: trunk/BNC/qwt/qwt_text.h
===================================================================
--- trunk/BNC/qwt/qwt_text.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_text.h	(revision 9383)
@@ -81,8 +81,11 @@
           Use a MathML (http://en.wikipedia.org/wiki/MathML) render engine
           to display the text. The Qwt MathML extension offers such an engine
-          based on the MathML renderer of the Qt solutions package. 
+          based on the MathML renderer of the former Qt solutions package.
           To enable MathML support the following code needs to be added to the
           application:
-\verbatim QwtText::setTextEngine(QwtText::MathMLText, new QwtMathMLTextEngine()); \endverbatim
+
+          \code
+            QwtText::setTextEngine( QwtText::MathMLText, new QwtMathMLTextEngine() );
+          \endcode
          */
         MathMLText,
@@ -140,5 +143,5 @@
     typedef QFlags<LayoutAttribute> LayoutAttributes;
 
-    QwtText( const QString & = QString::null,
+    QwtText( const QString & = QString(),
              TextFormat textFormat = AutoText );
     QwtText( const QwtText & );
@@ -162,5 +165,5 @@
     QFont usedFont( const QFont & ) const;
 
-    void setRenderFlags( int flags );
+    void setRenderFlags( int );
     int renderFlags() const;
 
@@ -190,5 +193,5 @@
     void draw( QPainter *painter, const QRectF &rect ) const;
 
-    static const QwtTextEngine *textEngine( 
+    static const QwtTextEngine *textEngine(
         const QString &text, QwtText::TextFormat = AutoText );
 
Index: trunk/BNC/qwt/qwt_text_engine.cpp
===================================================================
--- trunk/BNC/qwt/qwt_text_engine.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_text_engine.cpp	(revision 9383)
@@ -86,12 +86,13 @@
 
         QMap<QString, int>::const_iterator it =
-            d_ascentCache.find( fontKey );
-        if ( it == d_ascentCache.end() )
-        {
-            int ascent = findAscent( font );
-            it = d_ascentCache.insert( fontKey, ascent );
-        }
-
-        return ( *it );
+            d_ascentCache.constFind( fontKey );
+
+        if ( it != d_ascentCache.constEnd() )
+            return *it;
+
+        const int ascent = findAscent( font );
+        d_ascentCache.insert( fontKey, ascent );
+
+        return ascent;
     }
 
@@ -116,5 +117,5 @@
         for ( row = 0; row < img.height(); row++ )
         {
-            const QRgb *line = reinterpret_cast<const QRgb *>( 
+            const QRgb *line = reinterpret_cast<const QRgb *>(
                 img.scanLine( row ) );
 
Index: trunk/BNC/qwt/qwt_text_label.h
===================================================================
--- trunk/BNC/qwt/qwt_text_label.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_text_label.h	(revision 9383)
@@ -64,5 +64,5 @@
 
 protected:
-    virtual void paintEvent( QPaintEvent *e );
+    virtual void paintEvent( QPaintEvent * );
     virtual void drawContents( QPainter * );
 
Index: trunk/BNC/qwt/qwt_thermo.h
===================================================================
--- trunk/BNC/qwt/qwt_thermo.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_thermo.h	(revision 9383)
@@ -30,5 +30,5 @@
 
   The fill colors might be calculated from an optional color map
-  If no color map has been assigned QwtThermo uses the 
+  If no color map has been assigned QwtThermo uses the
   following colors/brushes from the widget palette:
 
@@ -53,5 +53,5 @@
     Q_PROPERTY( Qt::Orientation orientation
         READ orientation WRITE setOrientation )
-    Q_PROPERTY( ScalePosition scalePosition 
+    Q_PROPERTY( ScalePosition scalePosition
         READ scalePosition WRITE setScalePosition )
     Q_PROPERTY( OriginMode originMode READ originMode WRITE setOriginMode )
@@ -113,5 +113,5 @@
     int spacing() const;
 
-    void setBorderWidth( int w );
+    void setBorderWidth( int );
     int borderWidth() const;
 
@@ -122,14 +122,14 @@
     double origin() const;
 
-    void setFillBrush( const QBrush &b );
+    void setFillBrush( const QBrush & );
     QBrush fillBrush() const;
 
-    void setAlarmBrush( const QBrush &b );
+    void setAlarmBrush( const QBrush & );
     QBrush alarmBrush() const;
 
-    void setAlarmLevel( double v );
+    void setAlarmLevel( double );
     double alarmLevel() const;
 
-    void setAlarmEnabled( bool tf );
+    void setAlarmEnabled( bool );
     bool alarmEnabled() const;
 
@@ -138,5 +138,5 @@
     const QwtColorMap *colorMap() const;
 
-    void setPipeWidth( int w );
+    void setPipeWidth( int );
     int pipeWidth() const;
 
@@ -153,5 +153,5 @@
 
 public Q_SLOTS:
-    virtual void setValue( double val );
+    virtual void setValue( double );
 
 protected:
Index: trunk/BNC/qwt/qwt_wheel.cpp
===================================================================
--- trunk/BNC/qwt/qwt_wheel.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_wheel.cpp	(revision 9383)
@@ -55,5 +55,5 @@
         wrapping( false )
     {
-    };
+    }
 
     Qt::Orientation orientation;
@@ -114,6 +114,6 @@
   \brief En/Disable tracking
 
-  If tracking is enabled (the default), the wheel emits the valueChanged() 
-  signal while the wheel is moving. If tracking is disabled, the wheel 
+  If tracking is enabled (the default), the wheel emits the valueChanged()
+  signal while the wheel is moving. If tracking is disabled, the wheel
   emits the valueChanged() signal only when the wheel movement is terminated.
 
@@ -162,5 +162,5 @@
    \brief Mouse press event handler
 
-   Start movement of the wheel. 
+   Start movement of the wheel.
 
    \param event Mouse event
@@ -209,11 +209,11 @@
         d_data->speed = ( mouseValue - d_data->mouseValue ) / ms;
     }
-    
-    d_data->mouseValue = mouseValue; 
+
+    d_data->mouseValue = mouseValue;
 
     double value = boundedValue( mouseValue - d_data->mouseOffset );
     if ( d_data->stepAlignment )
         value = alignedValue( value );
-        
+
     if ( value != d_data->value )
     {
@@ -238,5 +238,5 @@
 
    \param event Mouse event
-*/  
+*/
 
 void QwtWheel::mouseReleaseEvent( QMouseEvent *event )
@@ -260,5 +260,5 @@
     if ( startFlying )
     {
-        d_data->flyingValue = 
+        d_data->flyingValue =
             boundedValue( d_data->mouseValue - d_data->mouseOffset );
 
@@ -281,5 +281,5 @@
 
   The flying wheel effect is implemented using a timer
-   
+
   \param event Timer event
 
@@ -323,5 +323,5 @@
   \brief Handle wheel events
 
-  In/Decrement the value 
+  In/Decrement the value
 
   \param event Wheel event
@@ -342,5 +342,5 @@
     double increment = 0.0;
 
-    if ( ( event->modifiers() & Qt::ControlModifier) || 
+    if ( ( event->modifiers() & Qt::ControlModifier) ||
         ( event->modifiers() & Qt::ShiftModifier ) )
     {
@@ -384,10 +384,10 @@
 
   - Qt::Key_Up\n
-    In case of a horizontal or not inverted vertical wheel the value 
+    In case of a horizontal or not inverted vertical wheel the value
     will be incremented by the step size. For an inverted vertical wheel
     the value will be decremented by the step size.
 
   - Qt::Key_Down\n
-    In case of a horizontal or not inverted vertical wheel the value 
+    In case of a horizontal or not inverted vertical wheel the value
     will be decremented by the step size. For an inverted vertical wheel
     the value will be incremented by the step size.
@@ -482,5 +482,5 @@
     if ( event->isAccepted() )
         stopFlying();
-    
+
     if ( increment != 0.0 )
     {
@@ -552,5 +552,5 @@
 
 /*!
-   \return Wheel border width 
+   \return Wheel border width
    \sa setWheelBorderWidth()
 */
@@ -561,5 +561,5 @@
 
 /*!
-  \brief Set the border width 
+  \brief Set the border width
 
   The border defaults to 2.
@@ -575,5 +575,5 @@
 
 /*!
-   \return Border width 
+   \return Border width
    \sa setBorderWidth()
 */
@@ -683,5 +683,5 @@
 }
 
-/*! 
+/*!
   Determine the value corresponding to a specified point
 
@@ -724,5 +724,5 @@
 }
 
-/*! 
+/*!
    \brief Qt Paint Event
    \param event Paint event
@@ -737,5 +737,5 @@
     style()->drawPrimitive(QStyle::PE_Widget, &opt, &painter, this);
 
-    qDrawShadePanel( &painter, 
+    qDrawShadePanel( &painter,
         contentsRect(), palette(), true, d_data->borderWidth );
 
@@ -753,5 +753,5 @@
    \param rect Geometry for the wheel
 */
-void QwtWheel::drawWheelBackground( 
+void QwtWheel::drawWheelBackground(
     QPainter *painter, const QRectF &rect )
 {
@@ -761,5 +761,5 @@
 
     //  draw shaded background
-    QLinearGradient gradient( rect.topLeft(), 
+    QLinearGradient gradient( rect.topLeft(),
         ( d_data->orientation == Qt::Horizontal ) ? rect.topRight() : rect.bottomLeft() );
     gradient.setColorAt( 0.0, pal.color( QPalette::Button ) );
@@ -772,7 +772,7 @@
     // draw internal border
 
-    const QPen lightPen( palette().color( QPalette::Light ), 
+    const QPen lightPen( palette().color( QPalette::Light ),
         d_data->wheelBorderWidth, Qt::SolidLine, Qt::FlatCap );
-    const QPen darkPen( pal.color( QPalette::Dark ), 
+    const QPen darkPen( pal.color( QPalette::Dark ),
         d_data->wheelBorderWidth, Qt::SolidLine, Qt::FlatCap );
 
@@ -782,9 +782,9 @@
     {
         painter->setPen( lightPen );
-        painter->drawLine( QPointF( rect.left(), rect.top() + bw2 ), 
+        painter->drawLine( QPointF( rect.left(), rect.top() + bw2 ),
             QPointF( rect.right(), rect.top() + bw2 ) );
 
         painter->setPen( darkPen );
-        painter->drawLine( QPointF( rect.left(), rect.bottom() - bw2 ), 
+        painter->drawLine( QPointF( rect.left(), rect.bottom() - bw2 ),
             QPointF( rect.right(), rect.bottom() - bw2 ) );
     }
@@ -792,9 +792,9 @@
     {
         painter->setPen( lightPen );
-        painter->drawLine( QPointF( rect.left() + bw2, rect.top() ), 
+        painter->drawLine( QPointF( rect.left() + bw2, rect.top() ),
             QPointF( rect.left() + bw2, rect.bottom() ) );
 
         painter->setPen( darkPen );
-        painter->drawLine( QPointF( rect.right() - bw2, rect.top() ), 
+        painter->drawLine( QPointF( rect.right() - bw2, rect.top() ),
             QPointF( rect.right() - bw2, rect.bottom() ) );
     }
@@ -818,7 +818,7 @@
     }
 
-    const QPen lightPen( palette().color( QPalette::Light ), 
+    const QPen lightPen( palette().color( QPalette::Light ),
         0, Qt::SolidLine, Qt::FlatCap );
-    const QPen darkPen( palette().color( QPalette::Dark ), 
+    const QPen darkPen( palette().color( QPalette::Dark ),
         0, Qt::SolidLine, Qt::FlatCap );
 
@@ -857,5 +857,5 @@
 
             double tickPos;
-            if ( d_data->inverted ) 
+            if ( d_data->inverted )
                 tickPos = rect.left() + off;
             else
@@ -865,8 +865,8 @@
             {
                 painter->setPen( darkPen );
-                painter->drawLine( QPointF( tickPos - 1 , l1 ), 
+                painter->drawLine( QPointF( tickPos - 1 , l1 ),
                     QPointF( tickPos - 1,  l2 ) );
                 painter->setPen( lightPen );
-                painter->drawLine( QPointF( tickPos, l1 ), 
+                painter->drawLine( QPointF( tickPos, l1 ),
                     QPointF( tickPos, l2 ) );
             }
@@ -907,8 +907,8 @@
             {
                 painter->setPen( darkPen );
-                painter->drawLine( QPointF( l1, tickPos - 1 ), 
+                painter->drawLine( QPointF( l1, tickPos - 1 ),
                     QPointF( l2, tickPos - 1 ) );
                 painter->setPen( lightPen );
-                painter->drawLine( QPointF( l1, tickPos ), 
+                painter->drawLine( QPointF( l1, tickPos ),
                     QPointF( l2, tickPos ) );
             }
@@ -1014,10 +1014,10 @@
 
 /*!
-  \brief Set the page step count  
-    
+  \brief Set the page step count
+
   pageStepCount is a multiplicator for the single step size
   that typically corresponds to the user pressing PageUp or PageDown.
-    
-  A value of 0 disables page stepping. 
+
+  A value of 0 disables page stepping.
 
   The default value is 1.
@@ -1031,5 +1031,5 @@
 }
 
-/*! 
+/*!
   \return Page step count
   \sa setPageStepCount(), singleStep()
@@ -1150,8 +1150,8 @@
   The direction of an inverted horizontal wheel will be from right to left
   an inverted vertical wheel will increase from bottom to top.
-  
+
   \param on En/Disable inverted appearance
   \sa isInverted()
- 
+
  */
 void QwtWheel::setInverted( bool on )
@@ -1176,6 +1176,6 @@
   \brief En/Disable wrapping
 
-  If wrapping is true stepping up from maximum() value will take 
-  you to the minimum() value and vice versa. 
+  If wrapping is true stepping up from maximum() value will take
+  you to the minimum() value and vice versa.
 
   \param on En/Disable wrapping
@@ -1251,5 +1251,5 @@
 {
     const double range = d_data->maximum - d_data->minimum;
-    
+
     if ( d_data->wrapping && range >= 0.0 )
     {
@@ -1257,5 +1257,5 @@
         {
             value += ::ceil( ( d_data->minimum - value ) / range ) * range;
-        }       
+        }
         else if ( value > d_data->maximum )
         {
@@ -1293,5 +1293,5 @@
             }
         }
-    }       
+    }
 
     return value;
Index: trunk/BNC/qwt/qwt_wheel.h
===================================================================
--- trunk/BNC/qwt/qwt_wheel.h	(revision 8127)
+++ trunk/BNC/qwt/qwt_wheel.h	(revision 9383)
@@ -78,8 +78,8 @@
     int borderWidth() const;
 
-    void setInverted( bool tf );
+    void setInverted( bool );
     bool isInverted() const;
 
-    void setWrapping( bool tf );
+    void setWrapping( bool );
     bool wrapping() const;
 
@@ -93,10 +93,10 @@
     bool stepAlignment() const;
 
-    void setRange( double vmin, double vmax );
+    void setRange( double min, double max );
 
-    void setMinimum( double min );
+    void setMinimum( double );
     double minimum() const;
 
-    void setMaximum( double max );
+    void setMaximum( double );
     double maximum() const;
 
@@ -104,5 +104,5 @@
     int updateInterval() const;
 
-    void setTracking( bool enable );
+    void setTracking( bool );
     bool isTracking() const;
 
@@ -121,5 +121,5 @@
 
       When tracking is enabled this signal will be emitted every
-      time the value changes. 
+      time the value changes.
 
       \param value new value
Index: trunk/BNC/qwt/qwt_widget_overlay.cpp
===================================================================
--- trunk/BNC/qwt/qwt_widget_overlay.cpp	(revision 8127)
+++ trunk/BNC/qwt/qwt_widget_overlay.cpp	(revision 9383)
@@ -12,4 +12,5 @@
 #include <qpainter.h>
 #include <qpaintengine.h>
+#include <qpainterpath.h>
 #include <qimage.h>
 #include <qevent.h>
@@ -23,6 +24,6 @@
 }
 
-static QRegion qwtAlphaMask( 
-    const QImage& image, const QVector<QRect> rects )
+static QRegion qwtAlphaMask(
+    const QImage& image, const QVector<QRect> &rects )
 {
     const int w = image.width();
@@ -42,22 +43,22 @@
         y2 = qMin( y2, h - 1 );
 
-        for ( int y = y1; y <= y2; ++y ) 
+        for ( int y = y1; y <= y2; ++y )
         {
             bool inRect = false;
             int rx0 = -1;
 
-            const uint *line = 
+            const uint *line =
                 reinterpret_cast<const uint *> ( image.scanLine( y ) ) + x1;
-            for ( int x = x1; x <= x2; x++ ) 
+            for ( int x = x1; x <= x2; x++ )
             {
                 const bool on = ( ( *line++ >> 24 ) != 0 );
-                if ( on != inRect ) 
+                if ( on != inRect )
                 {
-                    if ( inRect  ) 
+                    if ( inRect  )
                     {
                         rect.setCoords( rx0, y, x - 1, y );
                         region += rect;
-                    } 
-                    else 
+                    }
+                    else
                     {
                         rx0 = x;
@@ -65,8 +66,8 @@
 
                     inRect = on;
-                } 
+                }
             }
 
-            if ( inRect ) 
+            if ( inRect )
             {
                 rect.setCoords( rx0, y, x2, y );
@@ -212,5 +213,5 @@
         d_data->rgbaBuffer = ( uchar* )::calloc( width() * height(), 4 );
 
-        QImage image( d_data->rgbaBuffer, 
+        QImage image( d_data->rgbaBuffer,
             width(), height(), qwtMaskImageFormat() );
 
@@ -249,5 +250,5 @@
 void QwtWidgetOverlay::paintEvent( QPaintEvent* event )
 {
-    const QRegion clipRegion = event->region();
+    const QRegion &clipRegion = event->region();
 
     QPainter painter( this );
@@ -266,5 +267,5 @@
     if ( d_data->rgbaBuffer && useRgbaBuffer )
     {
-        const QImage image( d_data->rgbaBuffer, 
+        const QImage image( d_data->rgbaBuffer,
             width(), height(), qwtMaskImageFormat() );
 
Index: trunk/BNC/qwt/src.pri
===================================================================
--- trunk/BNC/qwt/src.pri	(revision 8127)
+++ trunk/BNC/qwt/src.pri	(revision 9383)
@@ -181,5 +181,23 @@
         qwt_series_data.cpp \
         qwt_point_data.cpp \
-        qwt_scale_widget.cpp 
+        qwt_scale_widget.cpp
+
+    contains(QWT_CONFIG, QwtOpenGL) {
+
+        HEADERS += \
+            qwt_plot_glcanvas.h
+
+        SOURCES += \
+            qwt_plot_glcanvas.cpp
+    }
+
+    contains(QWT_CONFIG, QwtSvg) {
+
+        HEADERS += \
+            qwt_plot_svgitem.h
+
+        SOURCES += \
+            qwt_plot_svgitem.cpp
+    }
 }
 
@@ -192,8 +210,16 @@
 contains(QWT_CONFIG, QwtSvg) {
 
-    QT += svg
-
-    HEADERS += qwt_plot_svgitem.h
-    SOURCES += qwt_plot_svgitem.cpp 
+    greaterThan(QT_MAJOR_VERSION, 4) {
+
+        qtHaveModule(svg) {
+            QT += svg
+        }
+        else {
+            warning("QwtSvg is enabled in qwtconfig.pri, but Qt has not been built with svg support")
+        }
+    }
+    else {
+        QT += svg
+    }
 }
 else {
@@ -205,7 +231,4 @@
 
     QT += opengl
-
-    HEADERS += qwt_plot_glcanvas.h
-    SOURCES += qwt_plot_glcanvas.cpp
 }
 else {
